%define xorg xorg-x11
%define xf86 XFree86

Name: xauth
Version: 1.0.2
Release: alt2
Serial: 1
Summary: X authority file utility
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org

Source: %name-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Obsoletes: %xf86-%name %xorg-%name < %serial:%version-%release
Provides: %xf86-%name = 4.4 %xorg-%name = %serial:%version-%release

BuildRequires: libICE-devel libSM-devel libX11-devel libXau-devel libXext-devel
BuildRequires: libXmu-devel libXt-devel libXdmcp-devel libXau-devel pkg-config
BuildRequires: xorg-x11-proto-devel xorg-x11-xtrans-devel xorg-x11-util-macros

%description
The  xauth program is used to edit and display the authorization infor-
mation used in connecting to the X server.   This  program  is  usually
used  to  extract authorization records from one machine and merge them
in on another (as is the case when  using  remote  logins  or  granting
access  to  other  users).   Commands  (described below) may be entered
interactively, on the xauth command line, or  in  scripts.   Note  that
this  program  does  not  contact the X server except when the generate
command is used.  Normally xauth is not used to  create  the  authority
file entry in the first place; xdm does that.

%def_disable ipv6

%prep
%setup -q

%build
%__autoreconf
%configure \
	%{subst_enable ipv6}

%make_build

%install
%make DESTDIR=%buildroot install

%__mkdir -p %buildroot%_prefix/X11R6/bin
%__ln_s ../../bin/xauth %buildroot%_prefix/X11R6/bin/

%files
%_bindir/*
%_prefix/X11R6/bin/*
%_man1dir/*

%changelog
* Tue Dec 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt2
- fixed obsoletes version

* Thu Dec 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2-alt1
- 1.0.2
- renamed package %xorg-%name to %name

* Sat Jan 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt4
- rebuild with new rpm macros

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt3
- fixed #8894

* Sat Jan 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt2
- added symlink to %_x11bindir/xauth for compatibility openssh

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.3-alt1
- Xorg-7.0RC3

* Wed Nov 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.2-alt0.1
- initial release

